Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.components.table
Class WebTable

    java.lang.Object
      org.apache.struts2.components.Component
          org.apache.struts2.components.UIBean
              org.apache.struts2.components.GenericUIBean
                  org.apache.struts2.components.table.WebTable

    public class WebTable

extends GenericUIBean

Nested Class Summary
`class` | `WebTable.WebTableRowIterator` inner class to iteratoe over a row of the table.

Field Summary
`protected WebTableColumn[]` | `columns`
`protected int` | `curRow`
`private static Log` | `LOG`
`protected TableModel` | `model`
`protected String` | `modelName`
`protected boolean` | `sortableAttr`
`protected int` | `sortColumn`
`protected String` | `sortOrder`
`static String` | `TEMPLATE`

Fields inherited from class org.apache.struts2.components.UIBean
`accesskey, cssClass, cssStyle, defaultTemplateDir, defaultUITheme, disabled, key, label, labelPosition, name, onblur, onchange, onclick, ondblclick, onfocus, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, onselect, request, required, requiredposition, response, tabindex, template, templateDir, templateEngineManager, templateSuffix, theme, title, tooltip, tooltipConfig, value`

Fields inherited from class org.apache.struts2.components.Component
`actionMapper, COMPONENT_STACK, id, parameters, stack`

Constructor Summary
`WebTable(ValueStack stack, HttpServletRequest request, HttpServletResponse response)`

Method Summary
`boolean` | `end(Writer writer, String body)` Callback for the end tag of this component.
`protected void` | `evaluateExtraParams()`
`WebTableColumn` | `getColumn(int index)`
`int` | `getColumnCount()`
`void` | `getColumnDisplayName(int column)`
`CellRenderer` | `getColumnRenderer(int column)`
`WebTableColumn[]` | `getColumns()`
`protected String` | `getDefaultTemplate()` A contract that requires each concrete UI Tag to specify which template should be used as a default.
`String[]` | `getFormattedRow(int row)`
`TableModel` | `getModel()`
`String` | `getModelName()`
`protected int` | `getNumberOfVisibleColumns()`
`Object` | `getRawData(int row, int column)`
`Iterator` | `getRawDataRowIterator()`
`Object[]` | `getRow(int row)`
`int` | `getRowCount()`
`Iterator` | `getRowIterator()`
`int` | `getSortColumn()`
`String` | `getSortColumnLinkName()`
`String` | `getSortOrder()`
`String` | `getSortOrderLinkName()`
`boolean` | `isColumnHidden(int column)`
`boolean` | `isSortable()`
`void` | `setColumnDisplayName(int column, String displayName)`
`void` | `setColumnHidden(int column, boolean hide)`
`void` | `setColumnRenderer(int column, CellRenderer renderer)`
`void` | `setModel(TableModel model)`
`void` | `setModelName(String modelName)` The name of model to use
`void` | `setSortable(boolean sortable)`
`void` | `setSortColumn(int sortColumn)`
`void` | `setSortOrder(String sortOrder)`

Methods inherited from class org.apache.struts2.components.GenericUIBean
`contains`

Methods inherited from class org.apache.struts2.components.UIBean
`addFormParameter, buildTemplateName, enableAncestorFormCustomOnsubmit, escape, evaluateNameValue, evaluateParams, getTemplate, getTemplateDir, getTheme, getTooltipConfig, getValueClassType, mergeTemplate, populateComponentHtmlId, setAccesskey, setCssClass, setCssStyle, setDefaultTemplateDir, setDefaultUITheme, setDisabled, setKey, setLabel, setLabelposition, setName, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setRequired, setRequiredposition, setTabindex, setTemplate, setTemplateDir, setTemplateEngineManager, setTheme, setTitle, setTooltip, setTooltipConfig, setValue`

Methods inherited from class org.apache.struts2.components.Component
`addAllParameters, addParameter, altSyntax, copyParams, determineActionURL, determineNamespace, end, fieldError, findAncestor, findString, findString, findValue, findValue, findValue, getComponentStack, getId, getParameters, getStack, popComponentStack, setActionMapper, setId, start, toString, usesBody`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG

    private static final Log LOG

### TEMPLATE

    public static final String TEMPLATE

See Also:
  Constant Field Values

### sortOrder

    protected String sortOrder

### modelName

    protected String modelName

### model

    protected TableModel model

### columns

    protected WebTableColumn[] columns

### sortableAttr

    protected boolean sortableAttr

### sortColumn

    protected int sortColumn

### curRow

    protected int curRow

Constructor Detail

### WebTable

    public WebTable(ValueStack stack,
                    HttpServletRequest request,
                    HttpServletResponse response)

Method Detail

### getDefaultTemplate

    protected String getDefaultTemplate()

  Description copied from class: `UIBean`
  A contract that requires each concrete UI Tag to specify which template should be used as a default. For example, the CheckboxTab might return "checkbox.vm" while the RadioTag might return "radio.vm". This value not begin with a '/' unless you intend to make the path absolute rather than relative to the current theme.

  Overrides:
    `getDefaultTemplate` in class `GenericUIBean`
  Returns:
    The name of the template to be used as the default.

### end

    public boolean end(Writer writer,
                       String body)

  Description copied from class: `Component`
  Callback for the end tag of this component. Should the body be evaluated again?

  NOTE: will pop component stack.

  Overrides:
    `end` in class `UIBean`
  Parameters:
    `writer` - the output writer.
    `body` - the rendered body.
  Returns:
    true if the body should be evaluated again

### getColumn

    public WebTableColumn getColumn(int index)

### evaluateExtraParams

    protected void evaluateExtraParams()

  Overrides:
    `evaluateExtraParams` in class `UIBean`

### getNumberOfVisibleColumns

    protected int getNumberOfVisibleColumns()

### getColumnCount

    public int getColumnCount()

### setColumnDisplayName

    public void setColumnDisplayName(int column,
                                     String displayName)

### getColumnDisplayName

    public void getColumnDisplayName(int column)

### setColumnHidden

    public void setColumnHidden(int column,
                                boolean hide)

### isColumnHidden

    public boolean isColumnHidden(int column)

### setColumnRenderer

    public void setColumnRenderer(int column,
                                  CellRenderer renderer)

### getColumnRenderer

    public CellRenderer getColumnRenderer(int column)

### getColumns

    public WebTableColumn[] getColumns()

### getFormattedRow

    public String[] getFormattedRow(int row)

### setModel

    public void setModel(TableModel model)

### getModel

    public TableModel getModel()

### setModelName

    public void setModelName(String modelName)

  The name of model to use

### getModelName

    public String getModelName()

### getRawData

    public Object getRawData(int row,
                             int column)

### getRawDataRowIterator

    public Iterator getRawDataRowIterator()

### getRow

    public Object[] getRow(int row)

### getRowCount

    public int getRowCount()

### getRowIterator

    public Iterator getRowIterator()

### setSortColumn

    public void setSortColumn(int sortColumn)

### getSortColumn

    public int getSortColumn()

### getSortColumnLinkName

    public String getSortColumnLinkName()

### setSortOrder

    public void setSortOrder(String sortOrder)

### getSortOrder

    public String getSortOrder()

### getSortOrderLinkName

    public String getSortOrderLinkName()

### setSortable

    public void setSortable(boolean sortable)

### isSortable

    public boolean isSortable()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.